diff --git a/test/lisp/progmodes/python-tests.el b/test/lisp/progmodes/python-tests.el
index fa8fa74fa88..b19c5c31f16 100644
--- a/test/lisp/progmodes/python-tests.el
+++ b/test/lisp/progmodes/python-tests.el
@@ -3750,7 +3750,7 @@ python-tests-get-shell-interpreter
     (setq python-tests-shell-interpreter
           (or (when-let ((interpreter (getenv "EMACS_PYTHON_INTERPRETER")))
                 (or (executable-find interpreter)
-                    (error "Can't found EMACS_PYTHON_INTERPRETER(%s) in path"
+                    (error "Couldn't find EMACS_PYTHON_INTERPRETER(%s) in path"
                            interpreter)))
               (cl-some #'executable-find '("python" "python3" "python2"))))))
 
@@ -4189,9 +4189,9 @@ python-shell-internal-get-or-create-process-1
 
 (ert-deftest python-shell-prompt-detect-1 ()
   "Check prompt autodetection."
+  (skip-unless (python-tests-get-shell-interpreter))
   (let ((process-environment process-environment)
         (python-shell-interpreter (python-tests-get-shell-interpreter)))
-    (skip-unless python-shell-interpreter)
     ;; Ensure no startup file is enabled
     (setenv "PYTHONSTARTUP" "")
     (should python-shell-prompt-detect-enabled)
@@ -4199,6 +4199,7 @@ python-shell-prompt-detect-1
 
 (ert-deftest python-shell-prompt-detect-2 ()
   "Check prompt autodetection with startup file.  Bug#17370."
+  (skip-unless (python-tests-get-shell-interpreter))
   (let* ((process-environment process-environment)
          (python-shell-interpreter (python-tests-get-shell-interpreter))
          (startup-code (concat "import sys\n"
@@ -4206,7 +4207,6 @@ python-shell-prompt-detect-2
                                "sys.ps2 = '..> '\n"
                                "sys.ps3 = 'out '\n"))
          (startup-file (python-shell--save-temp-file startup-code)))
-    (skip-unless python-shell-interpreter)
     (unwind-protect
         (progn
           ;; Ensure startup file is enabled
